Skip to navigation

Company Activity

View as Markdown

Returns a list of activity logs matching the search criteria, for the company of the logged-in user. (Company Admins only).

For a full list of the activities that are recorded, see What information is logged.

You can retrieve all of the company activities that have been performed using this request without specifying any optional parameters. You can also retrieve logs for a specific activity name, user UID, user type, service, and date range. Using the q parameter, you can also perform a fuzzy search, which will be matched partially against activity name and user login name.

You can find the activityName values from the /v3/companyActivityNames endpoint. The userUid can be either a user UID or an API key client ID. The userType can be one of these values: USER, STAFF, API, M2M, SYSTEM.

The from and to date values must be entered in ISO 8601 date format (YYYY-MM-DD’T’HH:MM:SSZ). For example, 2025-07-20 specifies the 20th of August 2025. For more information, see ISO 8601 Date and time format.

The response contains details including the user’s name, the user’s ID (personId), a description of the activity that occurred, the name of the activity, the date the activity occurred, and the user type.
createDate is returned in UNIX timestamp date format. You can use tools such as https://www.epochconverter.com/ or https://it-tools.tech/date-converter to convert the date to a human-readable format.

Who can view activities?

Company Admins can retrieve all of the activities of the company the user belongs to using this request. However, the same request by a user who is not a Company Admin will return an error with the message “Missing the required permission [company_admin]”. The same result is returned if a Company Admin attempts to access a different companies’ activities.

Query parameters

pageablestringOptional

Pagination object using the pagination and sort parameters (pageSize, pageNumber, sort). Defaults to pageSize(10), pageNumber(1) and sort(createDate,desc). (Optional - Boolean)

activityNamestringOptional

The activity name. (Optional - string)

userUidstringOptional

The user UID. Can be a user UID or API key client ID. (Optional - string)

userTypestringOptional

The user type. Search is case-insensitive. Accepted values: USER, STAFF, API, M2M, SYSTEM. (Optional - string)

targetEntityUidstringOptional

The unique identifier of the target entity associated with the activity. For example, a technical service Uid. (Optional - string)

qstringOptional

Fuzzy search parameter. This is matched partially against the activity name and the user login name. (Optional - string)

fromstringOptional

The start date for which to return activities. Enter the date in ISO 8601 format: YYYY-MM-DD’T’HH:MM:SSZ. (Optional)

tostringOptional

The end date for which to return activities. Enter the date in ISO 8601 format: YYYY-MM-DD’T’HH:MM:SSZ. (Optional)

Response

Company Activity - All Activity / Company Activity - Login Activity / Company Activity - User Type / Company Activity - Search on User Name / Company Activity - Service Activity / Company Activity - Login Activity / Company Activity - Search on User Name / Company Activity - User Type / Company Activity - All Activity / Company Activity - Service Activity

datalist of objectsOptional
messagestringOptional
termsstringOptional